# RPM specfile for gtkhtml module
# Generated Thu Nov  7 14:24:42 2002 GMT by Ximian build system
# $Id: bb_do,v 1.193 2002/09/10 14:45:10 thunder Exp $
# from $Id: ximian-build.conf,v 1.59.2.1 2002/11/06 19:32:56 frb Exp $

%define nam	gtkhtml
%define ver	1.0.4
%define ximrev	1

Name:     	libgtkhtml20
Version: 	1.0.4
Release:	6.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.1 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	gtkhtml-1.0.4.tar.gz
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Provides:	ximian-libgtkhtml20 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README TODO
/usr/lib/lib*.so.*


%post
ldconfig

%postun
ldconfig

%package -n gtkhtml-devel
Summary:	Development libraries, header files and utilities for GtkHTML
Group:		Development/Libraries
Requires:	libgtkhtml20 = %{PACKAGE_VERSION}
Requires:	gnome-print-devel
Provides:	ximian-gtkhtml-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gtkhtml-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%files -n gtkhtml-devel
%defattr(-, root, root)
/usr/lib/lib*a
/usr/lib/lib*.so
/usr/lib/bonobo/plugin/lib*a
/usr/lib/bonobo/plugin/lib*.so
/usr/lib/*Conf.sh
/usr/include/gtkhtml


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtkhtml-1.0.4
    ;;
all)
%setup  -q -n gtkhtml-1.0.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --without-gconf --with-bonobo --without-pspell
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Nov 7 2002 Ximian, Inc.

- Version: 1.1.6-6.ximian.1
- Summary: New build.
- New automated build.

